ome-xml 5.2.3

Public Member Functions | Private Member Functions | List of all members
ome::xml::meta::OMEXMLMetadataRoot Class Reference

OME-XML metadata root node. More...

`#include <ome/xml/meta/OMEXMLMetadataRoot.h>`

Inheritance diagram for ome::xml::meta::OMEXMLMetadataRoot:
[legend]
Collaboration diagram for ome::xml::meta::OMEXMLMetadataRoot:
[legend]

## Public Member Functions
| OMEXMLMetadataRoot ()
| Constructor.
| OMEXMLMetadataRoot (const OMEXMLMetadataRoot &copy)
| Copy constructor.
| OMEXMLMetadataRoot (const xml::model::OME &copy)
| Copy constructor.
virtual | ~OMEXMLMetadataRoot ()
| Destructor.
Public Member Functions inherited from ome::xml::model::OME
| OME ()
| Default constructor.
| OME (const OME &copy)
| Copy constructor. More...
virtual | ~OME ()
| Destructor.
const std::string & | elementName () const
| Get the element name of this model object. More...
bool | validElementName (const std::string &name) const
| Check if a given element name is valid for processing by this model object. More...
virtual void | update (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
ome::compat::shared_ptr< std::string > | getUUID ()
| Get the UUID property. More...
const ome::compat::shared_ptr< std::string > | getUUID () const
| Get the UUID property. More...
void | setUUID (ome::compat::shared_ptr< std::string > &uuid)
| Set the UUID property. More...
ome::compat::shared_ptr< std::string > | getCreator ()
| Get the Creator property. More...
const ome::compat::shared_ptr< std::string > | getCreator () const
| Get the Creator property. More...
void | setCreator (ome::compat::shared_ptr< std::string > &creator)
| Set the Creator property. More...
ome::compat::shared_ptr< ome::xml::model::Rights > | getRights ()
| Get the Rights property. More...
const ome::compat::shared_ptr< ome::xml::model::Rights > | getRights () const
| Get the Rights property. More...
void | setRights (ome::compat::shared_ptr< ome::xml::model::Rights > &rights)
| Set the Rights property. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Project > >::size_type | sizeOfProjectList () const
| Get size of linked Project list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Project > > & | getProjectList ()
| Get the Project list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Project > > & | getProjectList () const
| Get the Project list. More...
ome::compat::shared_ptr< ome::xml::model::Project > & | getProject (std::vector< ome::compat::shared_ptr< ome::xml::model::Project > >::size_type index)
| Get Project. More...
const ome::compat::shared_ptr< ome::xml::model::Project > & | getProject (std::vector< ome::compat::shared_ptr< ome::xml::model::Project > >::size_type index) const
| Get Project. More...
void | setProject (std::vector< ome::compat::shared_ptr< ome::xml::model::Project > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Project > &project)
| Set Project. More...
void | addProject (ome::compat::shared_ptr< ome::xml::model::Project > &project)
| Add Project. More...
void | removeProject (ome::compat::shared_ptr< ome::xml::model::Project > &project)
| Remove Project. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > >::size_type | sizeOfDatasetList () const
| Get size of linked Dataset list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > > & | getDatasetList ()
| Get the Dataset list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > > & | getDatasetList () const
| Get the Dataset list. More...
ome::compat::shared_ptr< ome::xml::model::Dataset > & | getDataset (std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > >::size_type index)
| Get Dataset. More...
const ome::compat::shared_ptr< ome::xml::model::Dataset > & | getDataset (std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > >::size_type index) const
| Get Dataset. More...
void | setDataset (std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset)
| Set Dataset. More...
void | addDataset (ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset)
| Add Dataset. More...
void | removeDataset (ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset)
| Remove Dataset. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > >::size_type | sizeOfFolderList () const
| Get size of linked Folder list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > > & | getFolderList ()
| Get the Folder list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > > & | getFolderList () const
| Get the Folder list. More...
ome::compat::shared_ptr< ome::xml::model::Folder > & | getFolder (std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > >::size_type index)
| Get Folder. More...
const ome::compat::shared_ptr< ome::xml::model::Folder > & | getFolder (std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > >::size_type index) const
| Get Folder. More...
void | setFolder (std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Folder > &folder)
| Set Folder. More...
void | addFolder (ome::compat::shared_ptr< ome::xml::model::Folder > &folder)
| Add Folder. More...
void | removeFolder (ome::compat::shared_ptr< ome::xml::model::Folder > &folder)
| Remove Folder. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > >::size_type | sizeOfExperimentList () const
| Get size of linked Experiment list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > > & | getExperimentList ()
| Get the Experiment list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > > & | getExperimentList () const
| Get the Experiment list. More...
ome::compat::shared_ptr< ome::xml::model::Experiment > & | getExperiment (std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > >::size_type index)
| Get Experiment. More...
const ome::compat::shared_ptr< ome::xml::model::Experiment > & | getExperiment (std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > >::size_type index) const
| Get Experiment. More...
void | setExperiment (std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Experiment > &experiment)
| Set Experiment. More...
void | addExperiment (ome::compat::shared_ptr< ome::xml::model::Experiment > &experiment)
| Add Experiment. More...
void | removeExperiment (ome::compat::shared_ptr< ome::xml::model::Experiment > &experiment)
| Remove Experiment. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > >::size_type | sizeOfPlateList () const
| Get size of linked Plate list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > > & | getPlateList ()
| Get the Plate list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > > & | getPlateList () const
| Get the Plate list. More...
ome::compat::shared_ptr< ome::xml::model::Plate > & | getPlate (std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > >::size_type index)
| Get Plate. More...
const ome::compat::shared_ptr< ome::xml::model::Plate > & | getPlate (std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > >::size_type index) const
| Get Plate. More...
void | setPlate (std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Plate > &plate)
| Set Plate. More...
void | addPlate (ome::compat::shared_ptr< ome::xml::model::Plate > &plate)
| Add Plate. More...
void | removePlate (ome::compat::shared_ptr< ome::xml::model::Plate > &plate)
| Remove Plate. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > >::size_type | sizeOfScreenList () const
| Get size of linked Screen list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > > & | getScreenList ()
| Get the Screen list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > > & | getScreenList () const
| Get the Screen list. More...
ome::compat::shared_ptr< ome::xml::model::Screen > & | getScreen (std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > >::size_type index)
| Get Screen. More...
const ome::compat::shared_ptr< ome::xml::model::Screen > & | getScreen (std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > >::size_type index) const
| Get Screen. More...
void | setScreen (std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Screen > &screen)
| Set Screen. More...
void | addScreen (ome::compat::shared_ptr< ome::xml::model::Screen > &screen)
| Add Screen. More...
void | removeScreen (ome::compat::shared_ptr< ome::xml::model::Screen > &screen)
| Remove Screen. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > >::size_type | sizeOfExperimenterList () const
| Get size of linked Experimenter list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > > & | getExperimenterList ()
| Get the Experimenter list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > > & | getExperimenterList () const
| Get the Experimenter list. More...
ome::compat::shared_ptr< ome::xml::model::Experimenter > & | getExperimenter (std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > >::size_type index)
| Get Experimenter. More...
const ome::compat::shared_ptr< ome::xml::model::Experimenter > & | getExperimenter (std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > >::size_type index) const
| Get Experimenter. More...
void | setExperimenter (std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Experimenter > &experimenter)
| Set Experimenter. More...
void | addExperimenter (ome::compat::shared_ptr< ome::xml::model::Experimenter > &experimenter)
| Add Experimenter. More...
void | removeExperimenter (ome::compat::shared_ptr< ome::xml::model::Experimenter > &experimenter)
| Remove Experimenter. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > >::size_type | sizeOfExperimenterGroupList () const
| Get size of linked ExperimenterGroup list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > > & | getExperimenterGroupList ()
| Get the ExperimenterGroup list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > > & | getExperimenterGroupList () const
| Get the ExperimenterGroup list. More...
ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & | getExperimenterGroup (std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > >::size_type index)
| Get ExperimenterGroup. More...
const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & | getExperimenterGroup (std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > >::size_type index) const
| Get ExperimenterGroup. More...
void | setExperimenterGroup (std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > >::size_type index, ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup)
| Set ExperimenterGroup. More...
void | addExperimenterGroup (ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup)
| Add ExperimenterGroup. More...
void | removeExperimenterGroup (ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup)
| Remove ExperimenterGroup. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > >::size_type | sizeOfInstrumentList () const
| Get size of linked Instrument list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > > & | getInstrumentList ()
| Get the Instrument list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > > & | getInstrumentList () const
| Get the Instrument list. More...
ome::compat::shared_ptr< ome::xml::model::Instrument > & | getInstrument (std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > >::size_type index)
| Get Instrument. More...
const ome::compat::shared_ptr< ome::xml::model::Instrument > & | getInstrument (std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > >::size_type index) const
| Get Instrument. More...
void | setInstrument (std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Instrument > &instrument)
| Set Instrument. More...
void | addInstrument (ome::compat::shared_ptr< ome::xml::model::Instrument > &instrument)
| Add Instrument. More...
void | removeInstrument (ome::compat::shared_ptr< ome::xml::model::Instrument > &instrument)
| Remove Instrument. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Image > >::size_type | sizeOfImageList () const
| Get size of linked Image list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Image > > & | getImageList ()
| Get the Image list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Image > > & | getImageList () const
| Get the Image list. More...
ome::compat::shared_ptr< ome::xml::model::Image > & | getImage (std::vector< ome::compat::shared_ptr< ome::xml::model::Image > >::size_type index)
| Get Image. More...
const ome::compat::shared_ptr< ome::xml::model::Image > & | getImage (std::vector< ome::compat::shared_ptr< ome::xml::model::Image > >::size_type index) const
| Get Image. More...
void | setImage (std::vector< ome::compat::shared_ptr< ome::xml::model::Image > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Image > &image)
| Set Image. More...
void | addImage (ome::compat::shared_ptr< ome::xml::model::Image > &image)
| Add Image. More...
void | removeImage (ome::compat::shared_ptr< ome::xml::model::Image > &image)
| Remove Image. More...
ome::compat::shared_ptr< ome::xml::model::StructuredAnnotations > | getStructuredAnnotations ()
| Get the StructuredAnnotations property. More...
const ome::compat::shared_ptr< ome::xml::model::StructuredAnnotations > | getStructuredAnnotations () const
| Get the StructuredAnnotations property. More...
void | setStructuredAnnotations (ome::compat::shared_ptr< ome::xml::model::StructuredAnnotations > &structuredAnnotations)
| Set the StructuredAnnotations property. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > >::size_type | sizeOfROIList () const
| Get size of linked ROI list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > > & | getROIList ()
| Get the ROI list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > > & | getROIList () const
| Get the ROI list. More...
ome::compat::shared_ptr< ome::xml::model::ROI > & | getROI (std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > >::size_type index)
| Get ROI. More...
const ome::compat::shared_ptr< ome::xml::model::ROI > & | getROI (std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > >::size_type index) const
| Get ROI. More...
void | setROI (std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > >::size_type index, ome::compat::shared_ptr< ome::xml::model::ROI > &roi)
| Set ROI. More...
void | addROI (ome::compat::shared_ptr< ome::xml::model::ROI > &roi)
| Add ROI. More...
void | removeROI (ome::compat::shared_ptr< ome::xml::model::ROI > &roi)
| Remove ROI. More...
ome::compat::shared_ptr< ome::xml::model::BinaryOnly > | getBinaryOnly ()
| Get the BinaryOnly property. More...
const ome::compat::shared_ptr< ome::xml::model::BinaryOnly > | getBinaryOnly () const
| Get the BinaryOnly property. More...
void | setBinaryOnly (ome::compat::shared_ptr< ome::xml::model::BinaryOnly > &binaryOnly)
| Set the BinaryOnly property. More...
virtual common::xml::dom::Element | asXMLElement (common::xml::dom::Document &document) const
| Transform the object hierarchy rooted at this element to XML. More...
const std::string & | getXMLNamespace () const
| Get the XML namespace for this model object. More...
Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
virtual | ~OMEModelObject ()
| Destructor.
virtual void | update (const common::xml::dom::Element &element, ::ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ::ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
Public Member Functions inherited from ome::xml::model::OMEModelObject
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< OMEModelObject > &object)=0
| Link a given OME model object to this model object. More...
Public Member Functions inherited from ome::xml::meta::MetadataRoot
virtual | ~MetadataRoot ()
| Destructor.

## Private Member Functions
OMEXMLMetadataRoot & | operator= (const OMEXMLMetadataRoot &)
| Assignment operator (deleted).

## Additional Inherited Members
Static Public Member Functions inherited from ome::xml::model::OME
static ome::compat::shared_ptr< OME > | create (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Create a OME model object from DOM element. More...
Static Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
static std::vector< common::xml::dom::Element > | getChildrenByTagName (const common::xml::dom::Element &parent, const std::string &name)
| Retrieve all the children of an element that have a given tag name. More...
static std::string | stripNamespacePrefix (const std::string &value)
| Strip the namespace prefix from a tag name. More...
Protected Member Functions inherited from ome::xml::model::OME
virtual common::xml::dom::Element | asXMLElementInternal (common::xml::dom::Document &document, common::xml::dom::Element &element) const
| Transform the object hierarchy rooted at this element to XML. More...
Protected Member Functions inherited from ome::xml::model::detail::OMEModelObject
| OMEModelObject (const std::string &objectType="OMEModelObject")
| Constructor.
| OMEModelObject (const OMEModelObject &copy)
| Copy constructor. More...
template<class C , typename T >
bool | contains (const C &container, const ome::compat::shared_ptr< T > &element)
| Check if a container contains a particular element. More...
Protected Member Functions inherited from ome::xml::model::OMEModelObject
| OMEModelObject ()
| Constructor.
Protected Member Functions inherited from ome::xml::meta::MetadataRoot
| MetadataRoot ()
| Constructor.
Protected Attributes inherited from ome::xml::model::detail::OMEModelObject
ome::common::Logger | logger
| Message logger.

## Detailed Description

OME-XML metadata root node.

The documentation for this class was generated from the following files:

- ome/xml/meta/OMEXMLMetadataRoot.h
- ome/xml/meta/OMEXMLMetadataRoot.cpp